# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.2 from Makefile.am

# Copyright (C) 1994, 1995, 1996, 1997 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.


SHELL = /bin/sh

srcdir = .
top_srcdir = ..
prefix = /usr/pkg
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = /usr/pkg/man
includedir = ${prefix}/include
oldincludedir = /usr/include

pkgdatadir = $(datadir)/shadow
pkglibdir = $(libdir)/shadow
pkgincludedir = $(includedir)/shadow

top_builddir = ..

ACLOCAL = aclocal
AUTOCONF = autoconf
AUTOMAKE = automake
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c -o pbulk -g users
INSTALL_PROGRAM = /usr/bin/install -c -s -o pbulk -g users -m 755
INSTALL_DATA = /usr/bin/install -c -o pbulk -g users -m 644
INSTALL_SCRIPT = /usr/bin/install -c -o pbulk -g users -m 755
transform = s,x,x,

NORMAL_INSTALL = true
PRE_INSTALL = true
POST_INSTALL = true
NORMAL_UNINSTALL = true
PRE_UNINSTALL = true
POST_UNINSTALL = true
CC = gcc
CRYPTOBJS = md5.o md5crypt.o
LIBCRACK = 
LIBCRYPT = -lcrypt
LIBMATH = -L../../lib -lgmp
LIBPAM = 
LIBSKEY = 
LN_S = ln -s
MAKEINFO = /tmp/pkgbuild/security/srp_client/work/srp-1.4.4/missing makeinfo
PACKAGE = shadow
RANLIB = ranlib
VERSION = 970616

AUTOMAKE_OPTIONS = foreign

noinst_HEADERS = commonio.h defines.h dialup.h faillog.h \
 getdef.h groupio.h md5.h port.h prototypes.h \
 pwauth.h pwio.h rcsid.h sgroupio.h shadowio.h tpwio.h

# These files are unneeded for some reason, listed in
# order of appearance:
#
# sources which are not really needed (are they in libc???)
# sources for dbm support (not yet used)
# sources for LIBOBJS (which are normally in libc)
# sources for CRYPTOBJS
# misc header sources

# We build libshadow for our tools.

noinst_LIBRARIES = libshadow.a

libshadow_a_SOURCES = \
	commonio.c dialchk.c dialup.c encrypt.c \
	fputsx.c getdef.c getpass.c groupio.c gshadow.c lockpw.c port.c \
	pwauth.c pwio.c rad64.c sgroupio.c shadow.c shadowio.c utent.c \
	md5.c md5crypt.c tpwio.c

EXTRA_libshadow_a_SOURCES = \
	grent.c pwent.c \
	grdbm.c gsdbm.c pwdbm.c spdbm.c \
	grpack.c gspack.c pwpack.c sppack.c \
	gshadow_.h shadow_.h lastlog_.h

libshadow_a_LIBADD =  putgrent.o putpwent.o putspent.o sgetgrent.o sgetpwent.o sgetspent.o

INCLUDES = -I$(top_srcdir)/lib -I$(top_srcdir)/../libsrp
mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
CONFIG_HEADER = ../config.h
CONFIG_CLEAN_FILES = 
LIBRARIES =  $(noinst_LIBRARIES)


DEFS = -DHAVE_CONFIG_H -I. -I$(srcdir) -I..
CPPFLAGS = -Dunix=1 -I/usr/pkg/include
LDFLAGS = -L/usr/pkg/lib -Wl,-R/usr/pkg/lib
LIBS = 
libshadow_a_DEPENDENCIES =   putgrent.o putpwent.o putspent.o sgetgrent.o sgetpwent.o sgetspent.o
libshadow_a_OBJECTS =  commonio.o dialchk.o dialup.o encrypt.o fputsx.o \
getdef.o getpass.o groupio.o gshadow.o lockpw.o port.o pwauth.o pwio.o \
rad64.o sgroupio.o shadow.o shadowio.o utent.o md5.o md5crypt.o tpwio.o
AR = ar
CFLAGS = -O2 -mieee -D_FORTIFY_SOURCE=2 -I/usr/pkg/include
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS)
LINK = $(CC) $(CFLAGS) $(LDFLAGS) -o $@
HEADERS =  $(noinst_HEADERS)

DIST_COMMON =  Makefile.am Makefile.in mkdir.c putgrent.c putpwent.c \
putspent.c rename.c rmdir.c sgetgrent.c sgetpwent.c sgetspent.c \
strdup.c strstr.c


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP = --best
SOURCES = $(libshadow_a_SOURCES) $(EXTRA_libshadow_a_SOURCES)
OBJECTS = $(libshadow_a_OBJECTS)

default: all

.SUFFIXES:
.SUFFIXES: .c .o
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --foreign --include-deps lib/Makefile

Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-noinstLIBRARIES:

clean-noinstLIBRARIES:
	test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)

distclean-noinstLIBRARIES:

maintainer-clean-noinstLIBRARIES:

.c.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	rm -f *.o core

clean-compile:

distclean-compile:
	rm -f *.tab.c

maintainer-clean-compile:

libshadow.a: $(libshadow_a_OBJECTS) $(libshadow_a_DEPENDENCIES)
	rm -f libshadow.a
	$(AR) cru libshadow.a $(libshadow_a_OBJECTS) $(libshadow_a_LIBADD)
	$(RANLIB) libshadow.a

tags: TAGS

ID: $(HEADERS) $(SOURCES)
	here=`pwd` && cd $(srcdir) && mkid -f$$here/ID $(SOURCES) $(HEADERS)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES)
	tags=; \
	here=`pwd`; \
	test -z "$(ETAGS_ARGS)$(SOURCES)$(HEADERS)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $(SOURCES) $(HEADERS) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = lib

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  test -f $(distdir)/$$file \
	  || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	  || cp -p $$d/$$file $(distdir)/$$file; \
	done
commonio.o commonio.lo: commonio.c ../config.h rcsid.h defines.h \
	commonio.h
dialchk.o dialchk.lo: dialchk.c ../config.h rcsid.h prototypes.h \
	faillog.h defines.h dialup.h
dialup.o dialup.lo: dialup.c ../config.h rcsid.h prototypes.h faillog.h \
	defines.h dialup.h
encrypt.o encrypt.lo: encrypt.c ../config.h rcsid.h prototypes.h \
	faillog.h defines.h
fputsx.o fputsx.lo: fputsx.c ../config.h defines.h rcsid.h
getdef.o getdef.lo: getdef.c ../config.h rcsid.h prototypes.h faillog.h \
	defines.h
getpass.o getpass.lo: getpass.c ../config.h rcsid.h defines.h
grdbm.o grdbm.lo: grdbm.c ../config.h
grent.o grent.lo: grent.c ../config.h
groupio.o groupio.lo: groupio.c ../config.h rcsid.h prototypes.h \
	faillog.h defines.h commonio.h groupio.h
grpack.o grpack.lo: grpack.c ../config.h rcsid.h defines.h
gsdbm.o gsdbm.lo: gsdbm.c ../config.h
gshadow.o gshadow.lo: gshadow.c ../config.h
gspack.o gspack.lo: gspack.c ../config.h
lockpw.o lockpw.lo: lockpw.c ../config.h
md5.o md5.lo: md5.c ../config.h md5.h
md5crypt.o md5crypt.lo: md5crypt.c ../config.h rcsid.h md5.h
mkdir.o mkdir.lo: mkdir.c ../config.h rcsid.h
port.o port.lo: port.c ../config.h rcsid.h defines.h port.h
putgrent.o putgrent.lo: putgrent.c ../config.h prototypes.h faillog.h \
	defines.h
putpwent.o putpwent.lo: putpwent.c ../config.h rcsid.h defines.h
putspent.o putspent.lo: putspent.c ../config.h
pwauth.o pwauth.lo: pwauth.c ../config.h rcsid.h prototypes.h faillog.h \
	defines.h pwauth.h getdef.h ../../libsrp/t_pwd.h
pwdbm.o pwdbm.lo: pwdbm.c ../config.h
pwent.o pwent.lo: pwent.c ../config.h rcsid.h defines.h
pwio.o pwio.lo: pwio.c ../config.h rcsid.h prototypes.h faillog.h \
	defines.h commonio.h pwio.h
pwpack.o pwpack.lo: pwpack.c ../config.h rcsid.h defines.h
rad64.o rad64.lo: rad64.c ../config.h rcsid.h
rename.o rename.lo: rename.c ../config.h rcsid.h defines.h
rmdir.o rmdir.lo: rmdir.c ../config.h rcsid.h
sgetgrent.o sgetgrent.lo: sgetgrent.c ../config.h rcsid.h defines.h
sgetpwent.o sgetpwent.lo: sgetpwent.c ../config.h rcsid.h defines.h
sgetspent.o sgetspent.lo: sgetspent.c ../config.h rcsid.h prototypes.h \
	faillog.h defines.h
sgroupio.o sgroupio.lo: sgroupio.c ../config.h
shadow.o shadow.lo: shadow.c ../config.h
shadowio.o shadowio.lo: shadowio.c ../config.h rcsid.h prototypes.h \
	faillog.h defines.h commonio.h shadowio.h
spdbm.o spdbm.lo: spdbm.c ../config.h
sppack.o sppack.lo: sppack.c ../config.h rcsid.h defines.h
strdup.o strdup.lo: strdup.c ../config.h defines.h rcsid.h
strstr.o strstr.lo: strstr.c ../config.h defines.h rcsid.h
tpwio.o tpwio.lo: tpwio.c ../config.h rcsid.h prototypes.h faillog.h \
	defines.h commonio.h tpwio.h
utent.o utent.lo: utent.c ../config.h

info:
dvi:
check: all
	$(MAKE)
installcheck:
install-exec: 
	@$(NORMAL_INSTALL)

install-data: 
	@$(NORMAL_INSTALL)

install: install-exec install-data all
	@:

uninstall: 

all: Makefile $(LIBRARIES) $(HEADERS)

install-strip:
	$(MAKE) INSTALL_PROGRAM='$(INSTALL_PROGRAM) -s' INSTALL_SCRIPT='$(INSTALL_PROGRAM)' install
installdirs:


mostlyclean-generic:
	test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)

clean-generic:
	test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	rm -f Makefile $(DISTCLEANFILES)
	rm -f config.cache config.log stamp-h stamp-h[0-9]*
	test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
	test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
mostlyclean:  mostlyclean-noinstLIBRARIES mostlyclean-compile \
		mostlyclean-tags mostlyclean-generic

clean:  clean-noinstLIBRARIES clean-compile clean-tags clean-generic \
		mostlyclean

distclean:  distclean-noinstLIBRARIES distclean-compile distclean-tags \
		distclean-generic clean
	rm -f config.status

maintainer-clean:  maintainer-clean-noinstLIBRARIES \
		maintainer-clean-compile maintainer-clean-tags \
		maintainer-clean-generic distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

.PHONY: default mostlyclean-noinstLIBRARIES distclean-noinstLIBRARIES \
clean-noinstLIBRARIES maintainer-clean-noinstLIBRARIES \
mostlyclean-compile distclean-compile clean-compile \
maintainer-clean-compile tags mostlyclean-tags distclean-tags \
clean-tags maintainer-clean-tags distdir info dvi installcheck \
install-exec install-data install uninstall all installdirs \
mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean


# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
